#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Smakefile

override_dh_auto_build:
	dh_auto_build -- \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS) -Wl,--as-needed" \
		VERSION="$(DEB_VERSION_UPSTREAM)"

override_dh_auto_install:
	$(MAKE) install-bin DESTDIR=$(CURDIR)/debian/harvid PREFIX=/usr

override_dh_auto_clean:
	dh_auto_clean || true
